import { Component, Input } from '@angular/core';
import { IonButton, IonButtons, IonContent, IonHeader, IonIcon, IonTitle, IonToolbar, ModalController } from '@ionic/angular/standalone';
import { addIcons } from 'ionicons';
import { arrowBack } from 'ionicons/icons';

@Component({
  selector: 'app-image3-popup',
  templateUrl: './image3-popup.component.html',
  styleUrls: ['./image3-popup.component.scss'],
  standalone: true,
  imports: [IonContent, IonHeader, IonButton, IonButtons, IonToolbar, IonTitle, IonIcon]
})
export class Image3PopupComponent {
  @Input() imageUrl: string = '';
  @Input() description: string = '';

  constructor(private modalController: ModalController) {
     addIcons({arrowBack});
  }

  ngOnInit() {}

  close() {
    this.modalController.dismiss();
  }
}
